Subject: Re: bug#58650: build of /gnu/store/mw6ax0gk33gh082anrdrxp2flrbskxv6-openssl-1.1.1n.drv failed

From: zimoun <[email-masked]>
Date: Thu, 03 Nov 2022 12:03:44 +0100

Hi,

On Thu, 03 Nov 2022 at 11:32, Maxime Devos <[email-masked]> wrote:

> Looking at the attached build log, it is a build failure, not some store 
> error:
>
> Test Summary Report
> -------------------
> ../test/recipes/80-test_ssl_new.t                (Wstat: 256 Tests: 29 
> Failed: 1)
>    Failed test:  12
>    Non-zero exit status: 1
> Files=158, Tests=2640, 66 wallclock secs ( 0.87 usr  0.07 sys + 56.47 
> cusr  7.90 csys = 65.31 CPU)
> Result: FAIL
> make[1]: *** [Makefile:208: _tests] Error 1
> make[1]: Leaving directory 
> '/tmp/guix-build-openssl-1.1.1n.drv-0/openssl-1.1.1n'
> make: *** [Makefile:205: tests] Error 2

Indeed.  My bad, I have missed the attachment.

Well, looking closer, I am confused by:

--8<---------------cut here---------------start------------->8---
failed to compute the derivation for Guix (version: "998eda3067c7d21e0d9bb3310d2f5a14b8f1c681"; system:
"x86_64-linux"; host version: "1.3.0.18313-998eda"; pull-version: 1).
--8<---------------cut here---------------end--------------->8---

What is this host version?

> As the backtrace is a distraction, I propose merging something like 
> <https://issues.guix.gnu.org/50238>.

Well, I do not know if it is related, although patch#50238 would help
for sure.

Cheers,
simon